commit:     2fe38cf52c19aff76ce9ef3073184109d639356c
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 28 14:33:18 2020 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 14:47:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2fe38cf5

media-video/ushare: new upstream & snapshot

Also move to EAPI=7, GLEP81 user, some patch cleanup

Bug: https://bugs.gentoo.org/761882

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 media-video/ushare/Manifest                     |  1 +
 media-video/ushare/ushare-1.1a_p20200824.ebuild | 67 +++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/media-video/ushare/Manifest b/media-video/ushare/Manifest
index c28310398e1..183df7c4b52 100644
--- a/media-video/ushare/Manifest
+++ b/media-video/ushare/Manifest
@@ -1 +1,2 @@
 DIST ushare-1.1a.tar.bz2 65864 BLAKE2B 
2a6d6922ee46c96d89a6f9a3238a1cded04194c4e7b80432e87a1c2344dcbf36484959d4601a7da8dc599531334b15a0547fc571af72630f25562e07a4116ea9
 SHA512 
2144ef96e58960d4d11bcefcd857c7eb7adab8df4ff815772d3b9d668f9f9daa1312707eb00a770c461b2a316e094e6697a004723ea02e86ee872fbe60b4797c
+DIST ushare-1.1a_p20200824.tar.gz 72751 BLAKE2B 
3f9116eab500ad9eb959ded9b1e406100cfbbc32c27b1cc599ef301f8d72e9acb1e053722b8724fc3d350fffda6e5b932eb78cd5fc3f2b5dbe67431f5f5de5b4
 SHA512 
530fe718e2d52acc27af670d7e44703b34fea33d15fcda3bd1fd4c5702794647576df8a329a11439f0eeca52e75390548a5417776add7b5ab3f09bb0eb85ac11

diff --git a/media-video/ushare/ushare-1.1a_p20200824.ebuild 
b/media-video/ushare/ushare-1.1a_p20200824.ebuild
new file mode 100644
index 00000000000..ab9242b1ce0
--- /dev/null
+++ b/media-video/ushare/ushare-1.1a_p20200824.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit readme.gentoo-r1 toolchain-funcs systemd
+
+COMMIT="5f7f66cd89d5b0652c1226e65bbf9c85aeba00f2"
+
+DESCRIPTION="uShare is a UPnP (TM) A/V & DLNA Media Server"
+HOMEPAGE="https://github.com/ddugovic/uShare/";
+SRC_URI="https://github.com/ddugovic/uShare/archive/${COMMIT}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls"
+
+DEPEND=">=net-libs/libupnp-1.14"
+RDEPEND="acct-user/ushare
+       ${DEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}"/01_all_ushare_build_system.patch
+       "${FILESDIR}"/02_all_ushare_build_warnings.patch
+       "${FILESDIR}"/03_all_ushare_mp4_video_mime.patch
+       "${FILESDIR}"/07_all_drop_optimizations.patch
+)
+DOCS="NEWS README.md TODO THANKS AUTHORS"
+DOC_CONTENTS="Please edit /etc/ushare.conf to set the shared directories
+       and other important settings. Check system log if ushare is
+       not booting."
+
+S="${WORKDIR}/uShare-${COMMIT}"
+
+src_configure() {
+       local myconf
+       myconf="--prefix=/usr --sysconfdir=/etc --disable-strip --disable-dlna"
+       # nls can only be disabled, on by default.
+       use nls || myconf="${myconf} --disable-nls"
+
+       # I can't use econf
+       # --host is not implemented in ./configure file
+       tc-export CC CXX
+
+       ./configure ${myconf} || die "./configure failed"
+}
+
+src_install() {
+       default
+       doman src/ushare.1
+       newconfd "${FILESDIR}"/${PN}.conf.d ${PN}
+       newinitd "${FILESDIR}"/${PN}.init.d.ng ${PN}
+       systemd_dounit "${FILESDIR}"/${PN}.service
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       enewuser ushare
+       readme.gentoo_print_elog
+       elog
+       elog "The config file has been moved to /etc/ushare.conf"
+       elog "Please migrate your settings from /etc/conf.d/ushare"
+       elog "to /etc/ushare.conf in order to use the ushare init script"
+       elog "and systemd unit service."
+       elog
+}

Reply via email to